using UnityEngine;
using System.Collections;

public class SelfRotate : MonoBehaviour {

    public Vector3 rot;
    float destroyDelay = 5;
	// Use this for initialization
	void Start () {
        Destroy(gameObject, destroyDelay);
	}
	
	// Update is called once per frame
	void Update () {
        transform.rotation *= Quaternion.Euler(rot.x, rot.y, rot.z);
	}
}
